# pin location assignments
set_location_assignment PIN_M8   -to ENET_RX_CLK
set_location_assignment PIN_L22  -to ENET_GTX_CLK
set_location_assignment PIN_K21  -to ENET_RSTn
set_location_assignment PIN_N8   -to ENET_INTn
set_location_assignment PIN_K22  -to ENET_TX_EN
set_location_assignment PIN_V9   -to ENET_RX_DV
set_location_assignment PIN_V13  -to ENET_MDC
set_location_assignment PIN_AB12 -to ENET_MDIO
set_location_assignment PIN_M21  -to ENET_TXD[0]
set_location_assignment PIN_M20  -to ENET_TXD[1]
set_location_assignment PIN_N21  -to ENET_TXD[2]
set_location_assignment PIN_N20  -to ENET_TXD[3]
set_location_assignment PIN_AB6  -to ENET_RXD[0]
set_location_assignment PIN_AB5  -to ENET_RXD[1]
set_location_assignment PIN_AA7  -to ENET_RXD[2]
set_location_assignment PIN_AB7  -to ENET_RXD[3]

# I/O standard assignments

# Use jumper J11 to set the I/O standard for this interface
# Jumper pins 1&2 for 3.3V; jumper pin 2&3 for 2.5V
# See the Hardware Reference Guide for details

set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_RX_CLK
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_GTX_CLK
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_RSTn
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_INTn
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_TX_EN
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_RX_DV
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_MDC
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_MDIO
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_TXD[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_TXD[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_TXD[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_TXD[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_RXD[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_RXD[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_RXD[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ENET_RXD[3]

#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_RX_CLK
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_GTX_CLK
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_RSTn
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_INTn
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_TX_EN
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_RX_DV
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_MDC
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_MDIO
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_TXD[0]
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_TXD[1]
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_TXD[2]
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_TXD[3]
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_RXD[0]
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_RXD[1]
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_RXD[2]
#set_instance_assignment -name IO_STANDARD "2.5 V" -to ENET_RXD[3]
