
module system (
	clk_24_clk,
	clk_50_clk,
	ddr3_mem_a,
	ddr3_mem_ba,
	ddr3_mem_ck,
	ddr3_mem_ck_n,
	ddr3_mem_cke,
	ddr3_mem_cs_n,
	ddr3_mem_dm,
	ddr3_mem_ras_n,
	ddr3_mem_cas_n,
	ddr3_mem_we_n,
	ddr3_mem_reset_n,
	ddr3_mem_dq,
	ddr3_mem_dqs,
	ddr3_mem_dqs_n,
	ddr3_mem_odt,
	ddr3_oct_rzqin,
	key_export,
	led_export,
	reset_reset_n,
	switch_export);	

	input		clk_24_clk;
	input		clk_50_clk;
	output	[12:0]	ddr3_mem_a;
	output	[2:0]	ddr3_mem_ba;
	output	[0:0]	ddr3_mem_ck;
	output	[0:0]	ddr3_mem_ck_n;
	output	[0:0]	ddr3_mem_cke;
	output	[0:0]	ddr3_mem_cs_n;
	output	[1:0]	ddr3_mem_dm;
	output	[0:0]	ddr3_mem_ras_n;
	output	[0:0]	ddr3_mem_cas_n;
	output	[0:0]	ddr3_mem_we_n;
	output		ddr3_mem_reset_n;
	inout	[15:0]	ddr3_mem_dq;
	inout	[1:0]	ddr3_mem_dqs;
	inout	[1:0]	ddr3_mem_dqs_n;
	output	[0:0]	ddr3_mem_odt;
	input		ddr3_oct_rzqin;
	input	[1:0]	key_export;
	output	[7:0]	led_export;
	input		reset_reset_n;
	input	[3:0]	switch_export;
endmodule
